// University of Washington Bothell Graphics Library
// Authors: Kelvin Sung, Steve Baer
// The accompanying library supports CSS Graphics courses taught at UW-Bothell
// See: http://courses.washington.edu/css450/
//      http://courses.washington.edu/css451/
///////////////////////////////////////////////////////////////////////////////////
#pragma once
#include "uwbgl_D3DDefines.h"
#include "uwbgl_D3DPrimitiveMeshArrow3.h"

///
/// Three mesh arrow primitives that are used to display a "fancy" 3d axis
class UWBD3D_PrimitiveMeshAxis : public UWB_Primitive
{
public:
  UWBD3D_PrimitiveMeshAxis(float scale=1.0f);

protected:
  virtual void DrawPrimitive( eLevelOfDetail lod, UWB_DrawHelper& draw_helper );
  UWBD3D_PrimitiveMeshArrow m_xaxis;
  UWBD3D_PrimitiveMeshArrow m_yaxis;
  UWBD3D_PrimitiveMeshArrow m_zaxis;
  float m_Scale;
};