// University of Washington Bothell Graphics Library
// Authors: Kelvin Sung, Steve Baer
// The accompanying library supports CSS Graphics courses taught at UW-Bothell
// See: http://courses.washington.edu/css450/
//      http://courses.washington.edu/css451/
///////////////////////////////////////////////////////////////////////////////////
#pragma once
#include "uwbgl_D3DDefines.h"
#include "uwbgl_Primitive5.h"
#include <string>

// Mesh Primitive specific to Direct3D library
class UWBD3D_PrimitiveMesh :  public UWB_Primitive
{
public:
  UWBD3D_PrimitiveMesh( const wchar_t* resource_filename );

  virtual const UWB_BoundingVolume* GetBoundingVolume( eLevelOfDetail lod ) const;

protected:
  void DrawPrimitive( eLevelOfDetail lod, UWB_DrawHelper& draw_helper );
  void SetupDrawAttributes(UWB_DrawHelper& draw_helper);

  std::wstring m_resource_filename;
};
